.select {
  position: relative;
  width: 100%;
  height: 46px;

  &.open {
    .select__label {
      border-bottom-left-radius: 0;
      border-bottom-right-radius: 0;

      svg {
        transform: rotate(180deg);
      }
    }

    .select__list {
      height: auto;
      opacity: 1;
      z-index: initial;
      top: 44px;
    }
  }

  &__label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 100%;
    padding: 0 50px 0 18px;
    background-color: #ffffff;
    cursor: pointer;
    border: 2px solid #155634;
    border-radius: 8px;
    transition: all 0.2s ease;
    font-size: calculateSize(16);
    line-height: calculateSize(26);
    font-weight: 600;
    color: $colorGreen;

    &.single {
      padding: 0 18px;
      cursor: auto;
    }

    &__content {
      flex: 1;
      display: flex;
      justify-content: space-between;
    }

    svg {
      position: absolute;
      right: 23px;
      transition: all 0.2s ease;
    }
  }

  &__list {
    display: flex;
    justify-content: center;
    flex-direction: column;
    position: absolute;
    top: 0;
    width: 100%;
    border: 2px solid $colorGreen;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
    background-color: #ffffff;
    height: 0;
    opacity: 0;
    z-index: -1;
    overflow: hidden;
    transition: all 0.2s ease;

    &__item {
      display: flex;
      align-items: center;
      justify-content: space-between;
      width: 100%;
      height: 46px;
      padding: 0 50px 0 18px;
      cursor: pointer;
      font-size: calculateSize(16);
      line-height: calculateSize(26);
      transition: 0.3s ease;
      font-weight: 600;

      &:hover {
        color: $colorLightGreen;
      }

      &:not(:last-child) {
        border-bottom: 2px solid $colorGreen;
      }
    }
  }
}
